Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
<NonPersistent()> _
Public Class Worksheet_CostRows_ChangeGroup
    Inherits BaseObject

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        Change_RowGroup1 = False
        Change_RowGroup2 = False
        _Change_Controlling = False
    End Sub
    Private _RowGroup1 As String 'Szöveges csoportosítás (nem kötelező)
    Private _Change_RowGroup1 As Boolean
    Private _RowGroup2 As String 'Szöveges másodlagos csoportosítás (nem kötelező)
    Private _Change_RowGroup2 As Boolean
    Private _Change_Controlling As Boolean
    Private _Controlling As Controlling

    Property RowGroup1 As String
        Get
            Return _RowGroup1
        End Get
        Set(value As String)
            SetPropertyValue("RowGroup1", _RowGroup1, value)
        End Set
    End Property
    Property Change_RowGroup1 As Boolean
        Get
            Return _Change_RowGroup1
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_RowGroup1", _Change_RowGroup1, value)
        End Set
    End Property
    Property RowGroup2 As String
        Get
            Return _RowGroup2
        End Get
        Set(value As String)
            SetPropertyValue("RowGroup2", _RowGroup2, value)
        End Set
    End Property
    Property Change_RowGroup2 As Boolean
        Get
            Return _Change_RowGroup2
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_RowGroup2", _Change_RowGroup2, value)
        End Set
    End Property
    Property Change_Controlling As Boolean
        Get
            Return _Change_Controlling
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_Controlling", _Change_Controlling, value)
        End Set
    End Property
    Property Controlling As Controlling
        Get
            Return _Controlling
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling", _Controlling, value)
        End Set
    End Property


End Class
